#
# spec file for package python-detox
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-detox
Version:        0.9.4
Release:        lp150.1.3
Summary:        Distributing activities of the tox tool
License:        MIT
Group:          Development/Languages/Python
Url:            http://bitbucket.org/hpk42/detox
Source:         https://pypi.python.org/packages/source/d/detox/detox-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
# Test requirements:
BuildRequires:  python-eventlet >= 0.15.0
BuildRequires:  python-nose
BuildRequires:  python-py >= 1.4.13
BuildRequires:  python-pytest
BuildRequires:  python-tox >= 1.9.0
Requires:       python-eventlet >= 0.15.0
Requires:       python-py >= 1.4.13
Requires:       python-tox >= 1.9.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
detox is the distributed version of "tox".  It makes efficient use of multiple
CPUs by running all possible activities in parallel.  It has the same options
and configuration that tox has so after installation can just run:

    detox

in the same way and with the same options with which you would run
tox, see the tox home page for more info.

%prep
%setup -q -n detox-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

#%%check
#nosetests

%files
%defattr(-,root,root,-)
%doc LICENSE CHANGELOG
%{_bindir}/detox
%{python_sitelib}/*

%changelog
* Sat May  2 2015 benoit.monin@gmx.fr
- update to version 0.9.4:
  * get compatible again to eventlet by avoiding to import
    eventlet.processes, thanks Takeshi Komiya for the PR.
  * make detox honor skipsdist.  Thanks Timoth Messier for the PR.
  * change license to MIT
- change license to match upstream
- increase required versions for eventlet and tox
* Wed Aug  6 2014 toddrme2178@gmail.com
- Update to 0.9.3
  - fix issue6: quickly make detox work with tox-1.6 again
    (although not all 1.6 features supported, e.g. --develop
    does not work)
  - fix issue3: don't claim a TROVE identifier of "python3"
    because detox itself depends on eventlet which does not work
    on  py3 yet. (Nevertheless detox will create py3 environments
    through tox of course)
  - fix issue1: support python2.5 again (although we might drop it
    in the future -- it's enough of tox/detox can _create_ and
    handle py25 environments, they don't neccessarily need to
    support running themself on py25)
* Tue Jul 30 2013 speilicke@suse.com
- Initial version
